function tramitesController($sepInstitucion) {
    var self = this;

    self.origenest = new Coleccion();
    self.busqueda = '';
    self.cargarTramites = cargarTramites;
    self.filtrar = filtrar;

    function cargarTramites(origenest) {
        if (self.origenest.cargando) return;

        self.origenest.cargar(function() {
            return $sepInstitucion.obtenerTramites(origenest, function(res) {
                if (!res.error) {
                    self.origenest.lista = res.data || [];
                }
            });
        });
    }

    function filtrar(origen) {
        if (!self.busqueda) return true;

        var busqueda = sinAcentos(self.busqueda.toLocaleLowerCase());

        var tramites = $.grep(origen.tramites, function(c) {
            return !c.titulo || sinAcentos(c.titulo.toLowerCase()).indexOf(busqueda) >= 0;


        });

        return !origen.nombre || sinAcentos(origen.nombre.toLowerCase()).indexOf(busqueda) >= 0 || tramites.length > 0;


    }

    function sinAcentos(value) {
        return value
            .replace(/á/g, 'a')
            .replace(/é/g, 'e')
            .replace(/í/g, 'i')
            .replace(/ó/g, 'o')
            .replace(/ú/g, 'u');
    }
}